Bug 697471 - Whenever restarts ibus, ibus-gconf and ibus-engine-hangul process become zombie.
Whenever restarts ibus, ibus-gconf and ibus-engine-hangul process become zombie.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
15
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-18 07:55 EDT by sangu
Modified: 2013-01-22 20:37 EST (History)
4 users (show)

See Also:
Fixed In Version: ibus-1.3.99.20110408-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-22 23:57:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sangu 2011-04-18 07:55:36 EDT
Description of problem:
Whenever restarts ibus, ibus-gconf and ibus-engine-hangul process become zombie.

# ps ax | grep defunct
  2088 ?        Z      0:00 [ibus-engine-han] <defunct>
 2090 ?        Z      0:00 [ibus-gconf] <defunct>
 2091 ?        Z      0:04 [python] <defunct>
 3002 ?        Z      0:00 [python] <defunct>
 3790 ?        Z      0:00 [ibus-gconf] <defunct>
 3792 ?        Z      0:01 [python] <defunct>
 4055 ?        Z      0:00 [ibus-engine-han] <defunct>
 4057 ?        Z      0:00 [ibus-gconf] <defunct>
 4058 ?        Z      0:01 [python] <defunct>
 4431 ?        Z      0:09 [ibus-engine-han] <defunct>
 4433 ?        Z      0:00 [ibus-gconf] <defunct>
 4434 ?        Z      0:43 [python] <defunct>

Version-Release number of selected component (if applicable):
1.3.99.20110228-6.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. click right mouse button on ibus applet.
2. click restart.
3.
  
Actual results:


Expected results:


Additional info:

ibus-hangul-1.3.1-1.fc15.x86_64
gnome-shell-3.0.0.2-2.fc15.x86_64
Comment 1 sangu 2011-04-18 08:17:36 EDT
$ cat ~/.xsession-errors
[...]
(evolution:5058): IBUS-WARNING **: Underlying GIOStream returned 0 bytes on an async read

(rhythmbox:24654): IBUS-WARNING **: Underlying GIOStream returned 0 bytes on an async read

(chromium-browser:4570): IBUS-WARNING **: Underlying GIOStream returned 0 bytes on an async read

(xchat:8614): IBUS-WARNING **: Underlying GIOStream returned 0 bytes on an async read

(evolution:5058): IBUS-WARNING **: Underlying GIOStream returned 0 bytes on an async read

(gnome-terminal:2133): IBUS-WARNING **: Underlying GIOStream returned 0 bytes on an async read

(gnome-shell:1737): IBUS-WARNING **: Underlying GIOStream returned 0 bytes on an async read
Comment 2 fujiwara 2011-04-19 00:58:09 EDT
Good point. It seems we need to enhance something before execv() is called.
Comment 3 fujiwara 2011-04-19 01:24:48 EDT
The following fix works fine with me:
https://github.com/fujiwarat/ibus/commit/92246e8ffd4d1f4534ac7b487d599e3b2fa30fc0

Probably I will create ibus-1.3.99.20110408-2 later for this bug.
http://koji.fedoraproject.org/koji/buildinfo?buildID=239582
Comment 4 Fedora Update System 2011-04-20 00:31:59 EDT
ibus-1.3.99.20110408-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-1.3.99.20110408-2.fc15
Comment 5 sangu 2011-04-20 13:01:45 EDT
After updating to ibus-1.3.99.20110408-2.fc15.x86_64, No zombie.
Thanks!

Then, whenever restart ibus, warnning messages like below.
$ cat ~/.xsession-errors
[..]
(gnome-terminal:9811): IBUS-WARNING **: _connection_closed_cb: Underlying GIOStream returned 0 bytes on an async read

(gnome-shell:9412): IBUS-WARNING **: _connection_closed_cb: Underlying GIOStream returned 0 bytes on an async read

(gnome-shell:9412): Clutter-CRITICAL **: clutter_actor_queue_relayout: assertion `CLUTTER_IS_ACTOR (self)' failed

(gnome-shell:9412): IBUS-WARNING **: _connection_closed_cb: Underlying GIOStream returned 0 bytes on an async read

(gnome-terminal:9811): IBUS-WARNING **: _connection_closed_cb: Underlying GIOStream returned 0 bytes on an async read

(gnome-shell:9412): Clutter-CRITICAL **: clutter_actor_queue_relayout: assertion `CLUTTER_IS_ACTOR (self)' failed
Comment 6 Fedora Update System 2011-04-20 22:59:56 EDT
Package ibus-1.3.99.20110408-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.3.99.20110408-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ibus-1.3.99.20110408-2.fc15
then log in and leave karma (feedback).
Comment 7 fujiwara 2011-04-21 05:10:54 EDT
(In reply to comment #5)
> Then, whenever restart ibus, warnning messages like below.
> $ cat ~/.xsession-errors
> [..]
> (gnome-terminal:9811): IBUS-WARNING **: _connection_closed_cb: Underlying
> GIOStream returned 0 bytes on an async read

Thanks. I could see the warning.
Today I investigated it but it seems a bit complicated logic.
The message was set by dbus.
If ibus-daemon closes the dbus connection, it seems gtk client still connects it and gets the 0 byte.
We might need to close gtk client before close dbus connection.

Probably I think this issue is not so critical but a kind of notice.
I'll talk about this with upstream later. 
I'd think you would verify the zombie issue only at the moment.
Maybe it's good to file another bug for the error message.


> (gnome-shell:9412): Clutter-CRITICAL **: clutter_actor_queue_relayout:
> assertion `CLUTTER_IS_ACTOR (self)' failed

I don't see this error. Maybe it's not relative with ibus?
Comment 8 sangu 2011-04-21 08:50:17 EDT
> > (gnome-shell:9412): Clutter-CRITICAL **: clutter_actor_queue_relayout:
> > assertion `CLUTTER_IS_ACTOR (self)' failed
> 
> I don't see this error. Maybe it's not relative with ibus?

Whenever restart ibus,
 gnome-shell message tray(below panel?) and the warnning message appear.
Comment 9 Fedora Update System 2011-04-22 23:57:04 EDT
ibus-1.3.99.20110408-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.